#include <iostream>
#include <stdio.h>
using namespace std;
void unos(int x[],int n)
{
    x[0]=0;
    for(int i=1;i<=n;i++)
        scanf("%d",&x[i]);
}
bool moze(int x[],int p,int q)
{
    int L=0;
    for(int i=p+1;i<=q;i++)
    {
        if(x[i]<x[i-1]){
            if(L==1){
               L=2;
            return false;}
            else
                L=1;}
    }
     if(L!=2)
    return true;
}
int main()
{
    int A[200000],n,q,li,ri;
    scanf("%d",&n);
    unos(A,n);
    scanf("%d",&q);
    for(int i=0;i<q;i++)
    {
        scanf("%d%d",&li,&ri);
        if(moze(A,li,ri))
            cout<<"DA\n";
        else
            cout<<"NE\n";
    }
    return 0;
}